Debian DLA-3035-1:libdbi-perl - LTS 安全性更新

medium Nessus Plugin ID 161684

Synopsis

遠端 Debian 主機上缺少一個或多個安全性更新。

描述

遠端 Debian 9 主機上安裝的一個套件受到 dla-3035 公告中提及的多個弱點影響。

- 在 Perl 1.632 版之前的 DBI 模組中發現一個問題。DBD: : File 驅動程式可開啟除透過 f_dir 屬性明確傳送的資料夾以外其他資料夾中的檔案。(CVE-2014-10401)

- 在 Perl 的 DBI 模組 1.643 及之前的所有版本中發現一個問題。DBD: : File 驅動程式可開啟除透過資料來源名稱 (DSN) 中的 f_dir 屬性明確傳送的資料夾以外其他資料夾中的檔案。注意:
此問題之所以存在,是因為 CVE-2014-10401 的修正不完整。(CVE-2014-10402)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級 libdbi-perl 套件。

針對 Debian 9「Stretch」,已在 1.636-1+deb9u2 版本中修正此問題。

另請參閱

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=972180

https://security-tracker.debian.org/tracker/source-package/libdbi-perl

https://www.debian.org/lts/security/2022/dla-3035

https://security-tracker.debian.org/tracker/CVE-2014-10401

https://security-tracker.debian.org/tracker/CVE-2014-10402

https://packages.debian.org/source/stretch/libdbi-perl

Plugin 詳細資訊

嚴重性: Medium

ID: 161684

檔案名稱: debian_DLA-3035.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/5/31

已更新: 2022/5/31

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 4.2

CVSS v2

風險因素: Low

基本分數: 3.6

時間分數: 2.7

媒介: AV:L/AC:L/Au:N/C:P/I:N/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2014-10402

CVSS v3

風險因素: Medium

基本分數: 6.1

時間分數: 5.3

媒介: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:L

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: p-cpe:/a:debian:debian_linux:libdbi-perl, cpe:/o:debian:debian_linux:9.0

必要的 KB 項目: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/5/30

弱點發布日期: 2020/9/11

參考資訊

CVE: CVE-2014-10401, CVE-2014-10402